# SEPADocumentFieldType enum

SEPA document field types

Inheritance
  - Object
  - Enum
  - SEPADocumentFieldType

## Constructors

SEPADocumentFieldType()
  const

## Values

ServiceTag → const SEPADocumentFieldType
Version → const SEPADocumentFieldType
CharacterSet → const SEPADocumentFieldType
Identification → const SEPADocumentFieldType
ReceiverIBAN → const SEPADocumentFieldType
ReceiverBIC → const SEPADocumentFieldType
ReceiverName → const SEPADocumentFieldType
Amount → const SEPADocumentFieldType
Reference → const SEPADocumentFieldType
Hint → const SEPADocumentFieldType
Purpose → const SEPADocumentFieldType
Remittance → const SEPADocumentFieldType
Information → const SEPADocumentFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<SEPADocumentFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[ServiceTag, Version, CharacterSet, Identification, ReceiverIBAN, ReceiverBIC, ReceiverName, Amount, Reference, Hint, Purpose, Remittance, Information]`